Subject: bug#40542: wip-hurm-vm build failure

From: Christopher Howard <[email-masked]>
Date: Tue, 14 Apr 2020 15:27:45 -0800

-----Original Message-----
From: Jan Nieuwenhuizen <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: Bengt Richter <[email-masked]>, [email-masked]
Subject: Re: bug#40542: wip-hurm-vm build failure
Date: Tue, 14 Apr 2020 21:30:14 +0200

Christopher Howard writes:
> I am using only a mouse. I unplugged the mouse, but am getting
> similarbehavior.
> Something of interest, however: the keyboard inputs seem to be
> workingfine until a few seconds after I "login root", at which point
> theemulated VGA screen blinks, and the wonky behavior starts.

This should be fixed in latest/todays wip-hurd-vm by this commit
    
http://git.savannah.gnu.org/cgit/guix.git/commit/?h=wip-hurd-vm&id=ccdf7336dfbb16bfc7a08b297ad9cabbe2663f55

janneke

Hi, I tried to build from commit
4c5a3e1ae7005c81f271744f77a0c83130d08fa8 (a newer commit by Ricardo)
and received the following build failure. Guessing I got something
half-baked — I might try tomorrow rebuilding with the older commit.

[100%] GUILEC   guix/tests/git.go
: warning: shadows previous definition of `%-location-procedure' at gnu/services/monitoring.scm:197:0
<unknown-location>: warning: shadows previous definition of `-location' at <unknown-location>
gnu/services/monitoring.scm:479:0: warning: shadows previous definition of `%-location-procedure' at gnu/services/monitoring.scm:197:0
<unknown-location>: warning: shadows previous definition of `-location' at <unknown-location>
gnu/services/vpn.scm:188:0: warning: shadows previous definition of `%-location-procedure' at gnu/services/vpn.scm:180:0
<unknown-location>: warning: shadows previous definition of `-location' at <unknown-location>
gnu/services/vpn.scm:256:0: warning: shadows previous definition of `%-location-procedure' at gnu/services/vpn.scm:180:0
<unknown-location>: warning: shadows previous definition of `-location' at <unknown-location>
gnu/services/vpn.scm:256:0: warning: shadows previous definition of `%-location-procedure' at gnu/services/vpn.scm:180:0
<unknown-location>: warning: shadows previous definition of `-location' at <unknown-location>
WARNING: Use of `load' in declarative module (gnu system install).  Add #:declarative? #f to your define-module invocation.
gnu/build/linux-modules.scm:323:13: warning: possibly unbound variable `load-linux-module/fd'
  HELP2MAN doc/guix-build.1
  HELP2MAN doc/guix-archive.1
  HELP2MAN doc/guix-challenge.1
  HELP2MAN doc/guix-download.1
  HELP2MAN doc/guix-edit.1
  HELP2MAN doc/guix-environment.1
  HELP2MAN doc/guix-gc.1
  HELP2MAN doc/guix-hash.1
  HELP2MAN doc/guix-import.1
  HELP2MAN doc/guix-lint.1
  HELP2MAN doc/guix-package.1
  HELP2MAN doc/guix-publish.1
  HELP2MAN doc/guix-pull.1
  HELP2MAN doc/guix-refresh.1
  HELP2MAN doc/guix-size.1
  HELP2MAN doc/guix-system.1
  HELP2MAN doc/guix.1
make[2]: Leaving directory '/tmp/guix-build-guix-1.0.1-18.5580f05.drv-0/source'
make[1]: Leaving directory '/tmp/guix-build-guix-1.0.1-18.5580f05.drv-0/source'
phase `build' succeeded after 1395.2 seconds
starting phase `copy-bootstrap-guile'
Backtrace:
In ice-9/boot-9.scm:
  1736:10 10 (with-exception-handler _ _ #:unwind? _ # _)
In unknown file:
           9 (apply-smob/0 #<thunk 7ffff6cceaa0>)
In ice-9/boot-9.scm:
    718:2  8 (call-with-prompt _ _ #<procedure default-prompt-handle…>)
In ice-9/eval.scm:
    619:8  7 (_ #(#(#<directory (guile-user) 7ffff68ebf00>)))
In ice-9/command-line.scm:
   185:18  6 (_ #<input: string 7ffff68e6a10>)
In unknown file:
           5 (eval (begin (use-modules (guix)) (with-store store …)) #)
In guix/store.scm:
   626:15  4 (call-with-store #<procedure 7ffff4105180 at ice-9/eval…>)
    545:2  3 (open-connection _ #:port _ #:reserve-space? _ # _)
In ice-9/boot-9.scm:
  1736:10  2 (with-exception-handler _ _ #:unwind? _ # _)
In guix/store.scm:
   553:28  1 (_)
In ice-9/boot-9.scm:
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
ERROR:
  1. &store-connection-error:
      file: "/tmp/guix-tests/var/26898/daemon-socket/socket"
      errno: 2
command "./test-env" "guile" "-c" "(begin (use-modules (guix)) (with-store store (let* ((item (add-to-store store \"guile-2.0.9.tar.xz\" #f \"sha256\" \"/gnu/store/3aigj659vsjxcrhn0r0vmkbjh3kj5pbs-guile-2.0.9.tar.xz\")) (root (string-append \"/tmp/gc-root-\" (basename item)))) (symlink item root) (add-indirect-root store root))))" failed with status 1
builder for `/gnu/store/jnla55wbk9xk0azbqcgx0cpg2q688kv0-guix-1.0.1-18.5580f05.drv' failed with exit code 1
build of /gnu/store/jnla55wbk9xk0azbqcgx0cpg2q688kv0-guix-1.0.1-18.5580f05.drv failed
View build log at '/var/log/guix/drvs/jn/la55wbk9xk0azbqcgx0cpg2q688kv0-guix-1.0.1-18.5580f05.drv.bz2'.
guix build: error: build of `/gnu/store/jnla55wbk9xk0azbqcgx0cpg2q688kv0-guix-1.0.1-18.5580f05.drv' failed

-- 
Christopher Howard
Enterprise Solutions Manager
Alaska Satellite Internet
PO Box 70, Ester, AK 99725
3239 La Ree Way, Fairbanks, AK 99709
907.451.0088
1.888.396.5623
www.alaskasatelliteinternet.com